diff -urpN pacman-lib.orig/scripts/makepkg pacman-lib/scripts/makepkg
--- pacman-lib.orig/scripts/makepkg	2007-04-04 05:03:44.000000000 +0300
+++ pacman-lib/scripts/makepkg	2007-04-05 19:55:23.000000000 +0300
@@ -992,7 +992,7 @@ size=$(du -cb "$startdir/pkg" | tail -n 
 # build a filelist - do this first to keep meta files out of the list
 msg "Generating .FILELIST file..."
 cd "$startdir/pkg"
-tar cvf /dev/null * | sort >.FILELIST
+tar cvf /dev/null * --ignore-failed-read | sort >.FILELIST
 
 # write the .PKGINFO file
 msg "Generating .PKGINFO file..."
@@ -1062,7 +1062,7 @@ pkg_file="$PKGDEST/$pkgname-$pkgver-$pkg
 comp_files=".PKGINFO .FILELIST ${install:+.INSTALL}"
 [ $have_changelog -eq 1 ] && comp_files=".CHANGELOG $comp_files"
 
-if ! tar czf $pkg_file $comp_files *; then
+if ! tar czf $pkg_file $comp_files * --ignore-failed-read; then
 	error "Failed to create package file." 
 	exit 1
 fi
